Repository CI configuration
Get the repository Actions policy and disabled workflow paths without enumerating workflow files.
Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/actions/runtime-settings"{ "disabledWorkflowPaths": [ "abc123" ], "policy": "trylle"}Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/actions/secrets""abc123"Get repository Actions policy and workflow availability from .trylle/workflows and .github/workflows.
Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/actions/settings"{ "disabledWorkflowPaths": [ "abc123" ], "policy": "trylle", "workflows": [ { "enabled": false, "name": "abc123", "path": "abc123", "platform": "github" } ]}Set which repository workflow platforms may run.
Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/actions/settings" \ -H "Content-Type: application/json" \ -d '{ "policy": "trylle" }'{ "policy": "trylle"}Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/actions/variables""abc123"Enable or disable one repository workflow file.
Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/actions/workflows" \ -H "Content-Type: application/json" \ -d '{ "enabled": false, "path": ".github/workflows/aa.yml" }'{ "enabled": false, "path": "abc123"}Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/actions/secrets" \ -H "Content-Type: application/json" \ -d '{ "name": "aa", "secret": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthSecret name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/actions/secrets/aa" \ -H "Content-Type: application/json" \ -d '{ "secret": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthSecret name.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/actions/secrets/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/actions/variables" \ -H "Content-Type: application/json" \ -d '{ "name": "aa", "value": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthVariable name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/actions/variables/aa" \ -H "Content-Type: application/json" \ -d '{ "value": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthVariable name.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/actions/variables/aa""abc123"